/**
 * JemmySampleAppOperator.java
 *
 * Created on 2012-01-30 16:31:10
 * Copyright (c) 2009-2011, AdFinem.net
 */
package jemmysample.structure;

import jemmysample.JemmySampleApplication;
import org.netbeans.jemmy.JemmyProperties;
import org.netbeans.jemmy.operators.JButtonOperator;
import org.netbeans.jemmy.operators.JComboBoxOperator;
import org.netbeans.jemmy.operators.JFrameOperator;
import org.netbeans.jemmy.operators.JLabelOperator;
import org.netbeans.jemmy.operators.JMenuBarOperator;
import org.netbeans.jemmy.operators.JMenuOperator;
import org.netbeans.jemmy.operators.JRadioButtonOperator;
import org.netbeans.jemmy.operators.JTextFieldOperator;
import org.netbeans.jemmy.util.NameComponentChooser;

/**
 * JemmySampleAppOperator
 *
 * @author Pawel Prokop <prokop@adfinem.net>
 */
public class JemmySampleAppOperator {
    private JFrameOperator mainFrame = null;

    public JFrameOperator getMainFrame() {
        return mainFrame;
    }

    public int startJMyForms () {
        JemmySampleApplication.main(null);
        mainFrame = new JFrameOperator("Jemmy Sample");
        JemmyProperties.getCurrentTimeouts()
            .setTimeout("DialogWaiter.WaitDialogTimeout", 5000);
        return 0;
    }

    public int stopJMyForms() {
        JMenuBarOperator menuBarOp = new JMenuBarOperator(getMainFrame());
        JMenuOperator fileMenu = new JMenuOperator(menuBarOp.getMenu(0));
        fileMenu.pushMenu("File|Exit");
        return 0;
    }

    public JRadioButtonOperator getFixedButton() {
        return new JRadioButtonOperator(getMainFrame(), new NameComponentChooser("btnFixed"));
    }

    public JRadioButtonOperator getCustomButton() {
        return new JRadioButtonOperator(getMainFrame(), new NameComponentChooser("btnCustom"));
    }

    public JRadioButtonOperator getRandomButton() {
        return new JRadioButtonOperator(getMainFrame(), new NameComponentChooser("btnRandom"));
    }

    public JComboBoxOperator getFixedComboBox() {
        return new JComboBoxOperator(getMainFrame(), new NameComponentChooser("cmbFixed"));
    }

    public JLabelOperator getFixedLabel() {
        return new JLabelOperator(getMainFrame(), new NameComponentChooser("lblFixed"));
    }

    public JLabelOperator getCustomLabel() {
        return new JLabelOperator(getMainFrame(), new NameComponentChooser("lblCustom"));
    }

    public JTextFieldOperator getCustomTextField() {
        return new JTextFieldOperator(getMainFrame(), new NameComponentChooser("txtCustom"));
    }
    
    public JButtonOperator getPlayButton() {
        return new JButtonOperator(getMainFrame(), new NameComponentChooser("btnPlay"));
    }

    public void pushPlayButton() {
        getPlayButton().push();
    }
}

